var geocoder = new google.maps.Geocoder();

function geocodePosition(pos) {
  geocoder.geocode({
    latLng: pos
  }, function(responses) {
    if (responses && responses.length > 0) {
      updateMarkerAddress(responses[0].formatted_address);
    } else {
     updateMarkerAddress('Cannot determine address at this location.');
    }
  });
}

function updateMarkerStatus(str) {
  document.getElementById('markerStatus').innerHTML = str;
}

function updateMarkerPosition(latLng) {
  document.getElementById('info').innerHTML = [
    latLng.lat(),
    latLng.lng()
  ].join(',');
}

function updateMarkerAddress(str) {
  document.getElementById('address_q').value = str;
}

function initialize() {
     geocoder = new google.maps.Geocoder();

  var latLng = new google.maps.LatLng(-34.397, 150.644);
var myOptions = {
    zoom: 8,
    center: latLng,
    panControl: false,
    streetViewControl: false,
    scaleControl: false,
     mapTypeControl: true,
     mapTypeId: google.maps.MapTypeId.ROADMAP,
      zoomControl: true,
      zoomControlOptions: {
          position: google.maps.ControlPosition.LEFT_CENTER
      }
}



map = new google.maps.Map(document.getElementById("mapCanvas"), myOptions);

  var marker = new google.maps.Marker({
    position: latLng,
    title: 'Pingver',
    icon: image,
    map: map,
    shadow: shadow,
    draggable: true
  });

google.maps.event.addListener(map,"click",function(e){marker.setPosition(e.latLng);map.panTo(e.latLng);updateMarkerStatus('Drag ended');updateMarkerPosition(marker.getPosition());geocodePosition(marker.getPosition());});
 
  // Update current position info.
  updateMarkerPosition(latLng);
  geocodePosition(latLng);
  
  // Add dragging event listeners.
  google.maps.event.addListener(marker, 'dragstart', function() {
    updateMarkerAddress('...');
  });
  
  google.maps.event.addListener(marker, 'drag', function() {
    updateMarkerStatus('...');
    updateMarkerPosition(marker.getPosition());
  });
  
  google.maps.event.addListener(marker, 'dragend', function() {
    updateMarkerStatus('Drag ended');
    updateMarkerPosition(marker.getPosition());
    geocodePosition(marker.getPosition());
  });

}

// Onload handler to fire off the app.
//google.maps.event.addDomListener(window, 'load', initialize);

var image = new google.maps.MarkerImage('/img/penguin.png',
      // This marker is 20 pixels wide by 32 pixels tall.
      new google.maps.Size(32, 32),
      // The origin for this image is 0,0.
      new google.maps.Point(0,0),
      // The anchor for this image is the base of the flagpole at 0,32.
      new google.maps.Point(16,32));
  var shadow = new google.maps.MarkerImage('/img/pn_shadow.png',
      // The shadow image is larger in the horizontal dimension
      // while the position and offset are the same as for the main image.
      new google.maps.Size(59, 32),
      new google.maps.Point(0,0),
      new google.maps.Point(14,30));

 function codeAddress() {


    var address = document.getElementById("addresst").value;
    geocoder.geocode( { 'address': address}, function(results, status) {
      if (status == google.maps.GeocoderStatus.OK) {
        map.setCenter(results[0].geometry.location);
        /*var marker = new google.maps.Marker({
            map: map,
            position: results[0].geometry.location,
            draggable: true
        });*/
updateMarkerStatus('Drag ended');updateMarkerPosition(results[0].geometry.location);geocodePosition(results[0].geometry.location);

      } else {
        //alert("Geocode was not successful for the following reason: " + status);
      }
    });
  }

//
function success(position) {
 
 var s = document.querySelector('#status');
// s.innerHTML = "Мы нашли Вас!";
  s.className = 'успех';

    

 var latLng = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);
 var myOptions = {
    zoom: 8,
    center: latLng,
    panControl: false,
    streetViewControl: false,
    scaleControl: false,
     mapTypeControl: true,
     mapTypeId: google.maps.MapTypeId.ROADMAP,
      zoomControl: true,
      zoomControlOptions: {
          position: google.maps.ControlPosition.LEFT_CENTER
      }
}



map = new google.maps.Map(document.getElementById("mapCanvas"), myOptions);

  var marker = new google.maps.Marker({
    position: latLng,
    title: 'Pingver',
    icon: image,
    map: map,
    shadow: shadow,
    draggable: true
  });




google.maps.event.addListener(map,"click",function(e){marker.setPosition(e.latLng);map.panTo(e.latLng);updateMarkerStatus('Drag ended');updateMarkerPosition(marker.getPosition());geocodePosition(marker.getPosition());});
 
  // Update current position info.
  updateMarkerPosition(latLng);
  geocodePosition(latLng);
  
  // Add dragging event listeners.
  google.maps.event.addListener(marker, 'dragstart', function() {
    updateMarkerAddress('...');
  });
  
  google.maps.event.addListener(marker, 'drag', function() {
    updateMarkerStatus('...');
    updateMarkerPosition(marker.getPosition());
  });
  
  google.maps.event.addListener(marker, 'dragend', function() {
    updateMarkerStatus('Drag ended');
    updateMarkerPosition(marker.getPosition());
    geocodePosition(marker.getPosition());
  });

}
//
function error(msg) {
  var s = document.querySelector('#status');
  s.innerHTML = typeof msg == 'string' ? msg : "failed";
  s.className = 'fail';
  
  // console.log(arguments);
}